Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class PersistentConsumer

    java.lang.Object
      org.jboss.portal.core.impl.portlet.state.PersistentConsumer

All Implemented Interfaces:
  Consumer

    public class PersistentConsumer

extends java.lang.Object
implements Consumer

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PersistentConsumer(java.lang.String id, java.lang.String name)` Manager constructor.

Method Summary
`ConsumerCapabilities` | `getCapabilities()`
`java.lang.String` | `getConsumerAgent()`
`ConsumerGroup` | `getGroup()` Returns the group that this consumer belongs to.
`java.lang.String` | `getId()` Retrieves this Consumer's identity, which uniquely identifies the Consumer since the name cannot be relied on.
`java.lang.Long` | `getKey()`
`java.lang.String` | `getName()` Return the consumer name.
`java.lang.String` | `getPersistentAgent()`
`java.lang.String` | `getPersistentId()`
`java.lang.String` | `getPersistentName()`
`RegistrationStatus` | `getPersistentStatus()`
`java.util.Collection` | `getRegistrations()` Return all the registrations for the specified consumer.
`PersistentConsumerGroup` | `getRelatedGroup()`
`java.util.Set` | `getRelatedRegistrations()`
`RegistrationStatus` | `getStatus()` Return the registration status of the consumer entity.
`void` | `setCapabilities(ConsumerCapabilities capabilities)`
`void` | `setConsumerAgent(java.lang.String consumerAgent)`
`void` | `setGroup(ConsumerGroup group)`
`void` | `setKey(java.lang.Long key)`
`void` | `setPersistentAgent(java.lang.String persistentAgent)`
`void` | `setPersistentId(java.lang.String persistentId)`
`void` | `setPersistentName(java.lang.String persistentName)`
`void` | `setPersistentStatus(RegistrationStatus persistentStatus)`
`void` | `setRelatedGroup(PersistentConsumerGroup relatedGroup)`
`void` | `setRelatedRegistrations(java.util.Set relatedRegistrations)`
`void` | `setStatus(RegistrationStatus status)` Set the registration status of the consumer entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentConsumer

    public PersistentConsumer(java.lang.String id,
                              java.lang.String name)

  Manager constructor.

  Parameters:
    `id` -
    `name` -

Method Detail

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getPersistentId

    public java.lang.String getPersistentId()

### setPersistentId

    public void setPersistentId(java.lang.String persistentId)

### getPersistentName

    public java.lang.String getPersistentName()

### setPersistentName

    public void setPersistentName(java.lang.String persistentName)

### getPersistentStatus

    public RegistrationStatus getPersistentStatus()

### setPersistentStatus

    public void setPersistentStatus(RegistrationStatus persistentStatus)

### getPersistentAgent

    public java.lang.String getPersistentAgent()

### setPersistentAgent

    public void setPersistentAgent(java.lang.String persistentAgent)

### getRelatedRegistrations

    public java.util.Set getRelatedRegistrations()

### setRelatedRegistrations

    public void setRelatedRegistrations(java.util.Set relatedRegistrations)

### getRelatedGroup

    public PersistentConsumerGroup getRelatedGroup()

### setRelatedGroup

    public void setRelatedGroup(PersistentConsumerGroup relatedGroup)

### getName

    public java.lang.String getName()

  Description copied from interface: `Consumer`
  Return the consumer name.

  Specified by:
    `getName` in interface `Consumer`
  Returns:
    the consumer name

### getStatus

    public RegistrationStatus getStatus()

  Description copied from interface: `Consumer`
  Return the registration status of the consumer entity.

  Specified by:
    `getStatus` in interface `Consumer`
  Returns:
    the registration stats.

### setStatus

    public void setStatus(RegistrationStatus status)

  Description copied from interface: `Consumer`
  Set the registration status of the consumer entity.

  Specified by:
    `setStatus` in interface `Consumer`
  Parameters:
    `status` - the registration status

### getRegistrations

    public java.util.Collection getRegistrations()
                                          throws RegistrationException

  Description copied from interface: `Consumer`
  Return all the registrations for the specified consumer.

  Specified by:
    `getRegistrations` in interface `Consumer`
  Returns:
    the consumer registrations
  Throws:
    `RegistrationException`

### getGroup

    public ConsumerGroup getGroup()

  Description copied from interface: `Consumer`
  Returns the group that this consumer belongs to.

  Specified by:
    `getGroup` in interface `Consumer`
  Returns:
    the consumer group

### getId

    public java.lang.String getId()

  Description copied from interface: `Consumer`
  Retrieves this Consumer's identity, which uniquely identifies the Consumer since the name cannot be relied on. It is up to the `RegistrationPolicy` to determine what the Consumer's identity is. Note also that this is different from the Consumer's database identifier.

  Specified by:
    `getId` in interface `Consumer`
  Returns:
    this Consumer's identity.

### getCapabilities

    public ConsumerCapabilities getCapabilities()

  Specified by:
    `getCapabilities` in interface `Consumer`

### setCapabilities

    public void setCapabilities(ConsumerCapabilities capabilities)

  Specified by:
    `setCapabilities` in interface `Consumer`

### setGroup

    public void setGroup(ConsumerGroup group)
                  throws RegistrationException,
                         DuplicateRegistrationException

  Specified by:
    `setGroup` in interface `Consumer`
  Throws:
    `RegistrationException`
    `DuplicateRegistrationException`

### getConsumerAgent

    public java.lang.String getConsumerAgent()

  Specified by:
    `getConsumerAgent` in interface `Consumer`

### setConsumerAgent

    public void setConsumerAgent(java.lang.String consumerAgent)
                          throws java.lang.IllegalArgumentException,
                                 java.lang.IllegalStateException

  Specified by:
    `setConsumerAgent` in interface `Consumer`
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD